summarylogtreecommitdiffstats
path: root/syslinux-install_update
diff options
context:
space:
mode:
authorKeshav Amburay2015-06-08 21:26:18 -0400
committerKeshav Amburay2015-06-08 21:26:18 -0400
commite8b5b4630795fc645ea329ca31864a11c79d3221 (patch)
tree31fd9faf559b924dd7d5722dd3fc56a71af4ea58 /syslinux-install_update
parent8731d1f268228929d2f137b6ee303be220923533 (diff)
downloadaur-syslinux-git.tar.gz
Bump pkgver
Diffstat (limited to 'syslinux-install_update')
-rw-r--r--syslinux-install_update13
1 files changed, 8 insertions, 5 deletions
diff --git a/syslinux-install_update b/syslinux-install_update
index e6c92110b5ea..a4481644e59d 100644
--- a/syslinux-install_update
+++ b/syslinux-install_update
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/bash
#
# Syslinux Installer / Updater Script (for BIOS only)
# Copyright (C) 2011-2013 Matthew Gyurgyik <pyther@pyther.net>
@@ -151,7 +151,7 @@ getBoot() {
exit 1
fi
- syslinux_fs=(ext2 ext3 ext4 btrfs vfat xfs)
+ syslinux_fs=(ext2 ext3 ext4 btrfs vfat)
# Use DATA from findmnt see rc.sysint for more info
if [[ -f /proc/self/mountinfo ]]; then
@@ -239,13 +239,18 @@ set_active() {
esac
if [[ "$ptb" = MBR ]]; then
- if sfdisk "$disk" -A "$partnum" &>/dev/null; then
+ if sfdisk "$disk" --activate "$partnum" &>/dev/null; then
echo "Boot Flag Set - $part"
else
echo "FAILED to Set the boot flag on $part"
exit 3
fi
elif [[ "$ptb" = GPT ]]; then
+ if [[ ! -e /usr/bin/sgdisk ]]; then
+ echo "FAILED to set attribute Legacy BIOS Bootable. sgdisk is not found - please install 'gptfdisk' package."
+ exit 3
+ fi
+
if sgdisk "$disk" --attributes="$partnum":set:2 &>/dev/null; then
echo "Attribute Legacy Bios Bootable Set - $part"
else
@@ -449,5 +454,3 @@ if [[ $SET_ACTIVE ]] || [[ $MBR ]]; then
fi
exit 0
-
-# vim: set et sw=4: